/* Tooltip Popover */
/* To use: <span data-tooltip="This is your tooltip text"><sup>1</sup></span> */
span[data-tooltip]{
    position: relative;
    cursor: pointer;
    font-weight: bold;
}
.tooltip-popover {
    position: absolute;
    display: block;
    background-color: #232323;
    box-shadow: 0 10px 34px rgba(0, 0, 0, .15);
    border-radius: 12px;
    padding: 10px 15px;
    inset: 0 auto auto 0;     
    color: #fff;
    font-weight: 400;
    font-size: 14px;
    line-height: 1.5;
    max-width: 220px;
    width: max-content;
    transform: translate3d(-30px, calc(-100% - 10px), 0);    
    transition: all 200ms;
    z-index: 9999;
    text-align: left;
    &::after {
        content: "";
        display: block;
        height: 12px;
        width: 12px;
        position: absolute;
        bottom: -5px;
        left: 27px;
        transform: rotate(45deg);
        background-color: #232323;
    }
}

/* Anchor */
.block-anchor {
    transform: translateY(-2.25rem);
}
@media (max-width: 768px) {
    .block-anchor {
        transform: translateY(-1rem);
    }
}

/* Sticky Footer Link */
#product-sticky-link {
	transform: translateY(100%);
	opacity: 0;
	pointer-events: none;
	transition: transform 0.8s ease, opacity 0.8s ease;  width: 100%;
  position: sticky;
  bottom: 0;
  left: 0;
  z-index: 99;
  background-color: #ffffff;
  padding: 1rem;
  box-shadow: 0px -2px 6px 0px rgba(0, 0, 0, 0.08);
  display: flex;
  justify-content: center;
  align-items: center;
}
#product-sticky-link.is-visible {
	transform: translateY(0);
	opacity: 1;
	pointer-events: auto;	
}
.sticky-primary-button {
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;    
    font-weight: bold;
    display: inline-block;    
    padding: 16px 24px;
    border-radius: 9999px;
    transition-property: all;
    transition-duration: 500ms;
    background-color: #274A34;
    color: #CCF88E;
    width: 68%;
    text-align: center;
    &:hover {
        background-color: #2d6339;
    }
}
.sticky-primary-button-end {
  width: 100%;
}
@media (min-width: 768px) {
  #product-sticky-link {
    display: none;
  }
}

/* Secondary Button */
.secondary-button {
  font-weight: 700;
  padding: 0.75rem 1.5rem;
  border-radius: 9999px;
  border: 1px solid #B7B7B6;
  position: relative;
  transition: all 500ms cubic-bezier(0.4, 0, 0.2, 1);
  display: flex;
  align-items: center;
  gap: 10px;
}
.secondary-button:hover {
  border-color: #0a0a0a;
}
span.secondary-button-background {
  width: 100%;
  height: 100%;
  border-radius: 9999px;
  position: absolute;  
  inset: 0 auto auto 0;
  transition: all 500ms cubic-bezier(0.4, 0, 0.2, 1);
}
span.secondary-button-title {
  position: relative;
  color: #0a0a0a;
}
.secondary-button:hover span.secondary-button-background {
  background-color: rgba(0, 0, 0, 0.05);
}

/* Editor specific CSS */
.product-embedded-video-group {
  max-height: 100% !important;
  max-width: 100% !important;
  width: 100% !important;
}
.wp-block-group.product-embedded-video {
  position: relative;
}
.wp-block-group.product-embedded-video::before {
  background-color: #FFF;
  top: 0;
  width: 100%;
  height: auto;
  position: absolute;
  left: 0;       
  display: block;
  mask:
    url("data:image/svg+xml,%3Csvg%20width%3D%221440%22%20height%3D%2290%22%20viewBox%3D%220%200%201440%2090%22%20fill%3D%22none%22%20xmlns%3D%22http%3A//www.w3.org/2000/svg%22%3E%3Cellipse%20cx%3D%22720.5%22%20cy%3D%22319.444%22%20rx%3D%221331.5%22%20ry%3D%22319%22%20fill%3D%22%23DAF4F4%22/%3E%3C/svg%3E")
      center / 100% auto no-repeat,
    linear-gradient(#000 0 0);
  content: "";
  aspect-ratio: 1440 / 90;
  mask-composite: exclude;
  mask-position: center 4px;
  z-index: 2;
}

/* For line breaks on desktop only */
  .line-break-desktop-only {
    display: none;
  }
  @media (min-width: 640px) {
    .line-break-desktop-only {
      display: inline;
    }
  }